Package nl.tue.id.oocsi

# Interface OOCSIData

All Known Implementing Classes:
  `MultiMessage`, `OOCSICall`, `OOCSIDataImpl`, `OOCSIMessage`

    public interface OOCSIData

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `OOCSIData` | `data​(java.lang.String key, double value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, float value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, int value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, long value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, java.lang.Object value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, java.lang.String value)` | store data in message
  `OOCSIData` | `data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)` | store bulk data in message
  `java.util.Map<java.lang.String,​java.lang.Object>` | `internal()` | return internal representation of the data as a Map

- ## Method Details

  - ### data

    OOCSIData data​(java.lang.String key, java.lang.String value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.lang.String key, int value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.lang.String key, float value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.lang.String key, double value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.lang.String key, long value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.lang.String key, java.lang.Object value)
    store data in message
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    OOCSIData data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)
    store bulk data in message
    Parameters:
      `bulkData` -
    Returns:

  - ### internal

    java.util.Map<java.lang.String,​java.lang.Object> internal()
    return internal representation of the data as a Map
    Returns: